@tailwind base;
@tailwind components;
@tailwind utilities;

body {
  @apply bg-slate-100;
}

.layout-enter-active,
.layout-leave-active {
  @apply transition-all duration-500;
}
.layout-enter-from,
.layout-leave-to {
  @apply opacity-0 blur-xl;
}

.fade-auth-component-enter-active,
.fade-auth-component-leave-active {
  @apply transition-all duration-200;
}

.fade-auth-component-enter-from,
.fade-auth-component-leave-to {
  @apply opacity-0 blur-md;
}

.fade-enter-active,
.fade-leave-active {
  @apply transition-all;
}

.fade-enter-from,
.fade-leave-to {
  @apply opacity-0 blur-sm;
}

.tasks-enter-from,
.tasks-leave-to {
  @apply opacity-0 blur;
}
.tasks-enter-from {
  @apply -translate-y-3;
}
.tasks-leave-to {
  @apply origin-top-center scale-y-50;
}

.tasks-leave-active {
  @apply absolute;
}
.tasks-enter-active,
.tasks-leave-active {
  @apply transition-all duration-200;
}

.lists-enter-from,
.lists-leave-to {
  @apply scale-50 opacity-0 blur-md;
}

.lists-leave-active {
  @apply absolute;
}
.lists-enter-active,
.lists-leave-active {
  @apply transition-all duration-500;
}

.fade-error-enter-active,
.fade-error-leave-active {
  @apply transition-all;
}

.fade-error-enter-from,
.fade-error-leave-to {
  @apply -translate-y-2 opacity-0  blur-sm;
}

.popups-enter-active,
.popups-leave-active {
  @apply transition-all duration-200;
}
.popups-enter-from,
.popups-leave-to {
  @apply opacity-0 blur-lg;
}
